## org.eclipse.ocl.expressions
Interface VariableExp<C,PM>

All Superinterfaces:
  ASTNode, EObject, Notifier, OCLExpression<C>, TypedElement<C>, Visitable

All Known Subinterfaces:
  VariableExp

All Known Implementing Classes:
  VariableExpImpl, VariableExpImpl

    public interface VariableExp<C,PM>

extends OCLExpression<C>

A representation of the model object 'Variable Exp'.

The following features are supported:

- `Referred Variable`

See Also:
  `ExpressionsPackage.getVariableExp()`

Method Summary
`boolean` `checkVarType(DiagnosticChain diagnostics, Map<Object,Object> context)` type = referredVariable.type
`Variable<C,PM>` `getReferredVariable()` Returns the value of the 'Referred Variable' reference
`void` `setReferredVariable(Variable<C,PM> value)` Sets the value of the '`Referred Variable`' reference

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getReferredVariable

    Variable<C,PM> getReferredVariable()

  Returns the value of the 'Referred Variable' reference.

  If the meaning of the 'Referred Variable' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Referred Variable' reference.
  See Also:
    `setReferredVariable(Variable)`, `ExpressionsPackage.getVariableExp_ReferredVariable()`

### setReferredVariable

    void setReferredVariable(Variable<C,PM> value)

  Sets the value of the '`Referred Variable`' reference.

  Parameters:
    `value` - the new value of the 'Referred Variable' reference.
  See Also:
    `getReferredVariable()`

### checkVarType

    boolean checkVarType(DiagnosticChain diagnostics,
                         Map<Object,Object> context)

  type = referredVariable.type

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.